# Uses of Class
net.shibboleth.idp.cas.service.Service

Packages that use Service
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.cas.proxy.impl
CAS protocol proxy implementations.
net.shibboleth.idp.cas.service
APIs related to CAS services.
net.shibboleth.idp.cas.service.impl
CAS protocol service implementations.

## Uses of Service in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl declared as Service
Modifier and Type
Field
Description
`private Service`
BuildSAMLMetadataContextAction.`service`
CAS service.
`private Service`
CheckProxyAuthorizationAction.`service`
CAS service.
`private Service`
UpdateIdPSessionWithSPSessionAction.`service`
CAS service.
Methods in net.shibboleth.idp.cas.flow.impl that return Service
Modifier and Type
Method
Description
`protected Service`
AbstractCASProtocolAction.`getCASService(ProfileRequestContext prc)`
Get the CAS service.
`Service`
BuildSAMLMetadataContextAction.`getService()`
Null safe getter.
`private Service`
BuildRelyingPartyContextAction.`query(String serviceURL)`
Query service registry based on URL.
Methods in net.shibboleth.idp.cas.flow.impl with parameters of type Service
Modifier and Type
Method
Description
`protected void`
AbstractCASProtocolAction.`setCASService(ProfileRequestContext prc, Service service)`
Set the CAS service.

## Uses of Service in net.shibboleth.idp.cas.proxy.impl

Methods in net.shibboleth.idp.cas.proxy.impl with parameters of type Service
Modifier and Type
Method
Description
`protected int`
HttpClientProxyValidator.`connect(URI uri, Service service)`
Connect to the given CAS proxy callback endpoint and return the HTTP response code.
`private static void`
HttpClientProxyValidator.`setCASTLSTrustEngineCriteria(org.apache.hc.client5.http.protocol.HttpClientContext context, URI requestUri, Service service)`
Install TLS trust criteria.

## Uses of Service in net.shibboleth.idp.cas.service

Fields in net.shibboleth.idp.cas.service declared as Service
Modifier and Type
Field
Description
`private final Service`
ServiceContext.`serviceMetadata`
Service metadata held by context.
Methods in net.shibboleth.idp.cas.service that return Service
Modifier and Type
Method
Description
`Service`
ServiceContext.`getService()`
Get the service metadata held by this context.
`Service`
PatternServiceRegistry.`lookup(String serviceURL)`
Looks up a service entry from a service URL.
`Service`
ServiceRegistry.`lookup(String serviceURL)`
Looks up a service entry from a service URL.
Constructors in net.shibboleth.idp.cas.service with parameters of type Service
Modifier
Constructor
Description
``
`ServiceContext(Service service)`
Creates a new instance.

## Uses of Service in net.shibboleth.idp.cas.service.impl

Fields in net.shibboleth.idp.cas.service.impl declared as Service
Modifier and Type
Field
Description
`private final Service`
ServiceEntityDescriptor.`svc`
Underlying CAS service.
Methods in net.shibboleth.idp.cas.service.impl that return Service
Modifier and Type
Method
Description
`protected Service`
MetadataServiceRegistry.`create(String serviceURL, SPSSODescriptor role)`
Create a CAS `Service` from an input service URL and the matching `RoleDescriptor` that was resolved from the metadata source.
`Service`
MetadataServiceRegistry.`lookup(String serviceURL)`
Looks up a service entry from a service URL.
`Service`
ReloadingServiceRegistry.`lookup(String serviceURL)`
Looks up a service entry from a service URL.
Constructors in net.shibboleth.idp.cas.service.impl with parameters of type Service
Modifier
Constructor
Description
``
`ServiceEntityDescriptor(Service service)`
Creates a new instance that wraps the given CAS service.